# Prepare workspace ####

# Define parent directory
parent.dir <- "C:/Final Report"

# Reset workspace 
rm(list = setdiff(ls(), "parent.dir"))
gc()

# Strings as characters
options(stringsAsFactors = FALSE)

# Child directories
source(file.path(parent.dir, "Shared Source Code",
                 "Define Child Directories.R"), echo = TRUE)

# Packages
source(file.path(parent.dir, "Shared Source Code", 
                 "Install and Load Packages.R"), echo = TRUE)

# Custom functions
source(file.path(parent.dir, "Shared Source Code", "Define Functions.R"), 
       echo = TRUE)



# Load Prepared Data ####

# Grants
grants.rda <- file.path(parent.dir, "Prepared Data", "Grants.rda")
load(grants.rda)
head(grants)

# CAIs connected or passed
passed.rda <- file.path(parent.dir, "Prepared Data", "CCI CAIs Passed.rda")
load(passed.rda)
head(pass)



# 6.3  Public Safety Agencies ####

# Get last
pass <- pass[year == "2013-12-31"]

# Filter out Defunded and Excluded
d <- grants[pass][Defunded == ""][Excluded == ""]

# Aggregate
d <- d[, list(passed = sum(passed)), by = category]
d[, total := sum(passed)]
d[, pct := passed / total]

# Print
d