# read xlsx as data table
# see ?read.xlsx2
Read.xlsx2 <- function(...) as.data.table(read.xlsx2(...))

# reshape long to wide as data table
# see ?dcast
Dcast <- function(...) as.data.table(dcast(...))

# bind together list of data frames/tables as into one data table 
# see ?rbind.fill
Rbind.fill <- function(...) as.data.table(rbind.fill(...))

# write tabular object as xlsx
# see ?write.csv.tabular
write.xlsx.tabular <- function(x, file = "", justification = "n", ...) {
  write.csv.tabular(x = x, file = tf <- tempfile(), justification = justification, 
                    row.names = FALSE, ...)
  x <- read.csv(tf, colClasses = "character")
  write.xlsx(x = x, file = file, row.names = FALSE, col.names = FALSE, ...)
}

# consistent theme for plots
theme_btop <- function() {
  theme_bw() + 
    theme(legend.title = element_blank(), 
          legend.text = element_text(size = 18), 
          axis.title = element_text(size = 22), 
          axis.title.x = element_text(vjust = 0), 
          axis.title.y = element_text(vjust = .21), 
          axis.text = element_text(size = 18), 
          strip.text = element_text(size = 18))
}
